System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.InternalDataCollectionBase System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.ConstraintsCollectionEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.DefaultEvent("CollectionChanged")

The is accessed through the property.

The can contain both and objects for the . A object makes sure that data in a specific column is always unique to preserve the data integrity. The determines what will occur in related tables when data in the is either updated or deleted. For example, if a row is deleted, the will determine whether the related rows are also deleted (a cascade), or some other course of action.

When you add a that creates a relationship between two tables to a , both a and a are created automatically. The is applied to the primary key column in the parent , and the constraint is added to that table's . The is applied to the primary key column and the foreign key column, and the constraint is added to the child table's .

The uses standard collection methods such as , , and . In addition, the method can be used to look for the existence of a particular constraint in the collection.

A is created when a with its property set to true is added to a object's .

A is created when a is added to a object's .

Represents a collection of constraints for a .

- Method
  System.Void ``

  If the collection is successfully changed by adding or removing constraints, the event occurs.

  Adds the specified object to the collection.

  A new or .

  The Constraint to add. 1.0.5000.0 2.0.0.0
- Method
  System.Data.Constraint `` `` ``

  The event occurs if the constraint is added successfully.

  Constructs a new with the specified name, , and value that indicates whether the column is a primary key, and adds it to the collection.

  A new UniqueConstraint.

  The name of the UniqueConstraint. The to which the constraint applies. Specifies whether the column should be the primary key. If true, the column will be a primary key column. 1.0.5000.0 2.0.0.0
- Method
  System.Data.Constraint `` `` ``

  The event occurs if the constraint is added successfully.

  Constructs a new with the specified name, parent column, and child column, and adds the constraint to the collection.

  A new ForeignKeyConstraint.

  The name of the . The primary key, or parent, . The foreign key, or child, . 1.0.5000.0 2.0.0.0
- Method
  System.Data.Constraint `` `` ``

  The event occurs if the constraint is added successfully.

  Constructs a new with the specified name, array of objects, and value that indicates whether the column is a primary key, and adds it to the collection.

  A new UniqueConstraint.

  The name of the . An array of objects to which the constraint applies. Specifies whether the column should be the primary key. If true, the column will be a primary key column. 1.0.5000.0 2.0.0.0
- Method
  System.Data.Constraint `` `` ``

  The event occurs if the constraint is added successfully.

  Constructs a new , with the specified arrays of parent columns and child columns, and adds the constraint to the collection.

  A new ForeignKeyConstraint.

  The name of the . An array of objects that are the primary key, or parent, columns. An array of objects that are the foreign key, or child, columns. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  If has been called, AddRange does not add any objects to the collection until is called. At the time that EndInit is called, the collection will be populated with the items specified in the most recent call to AddRange. If AddRange is called multiple times within a BeginInit / EndInit sequence, only those items specified in the most recent call to AddRange are added.

  Copies the elements of the specified array to the end of the collection.

  An array of objects to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  The default behavior whenever a is added to a , is to add a to the parent table and a to the child table. The is applied to the primary key column of the parent table, and the is applied to the foreign key column of the child table. Because trying to remove the before removing the causes an exception to be thrown, you should always use the method before calling Remove, to make sure that the can be removed.

  Indicates whether a can be removed.

  true if the can be removed from collection; otherwise, false.

  The to be tested for removal from the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  The event occurs if this action is successful.

  Clears the collection of any objects.

  1.0.5000.0
  2.0.0.0
- Event
  System.ComponentModel.CollectionChangeEventHandler

  For more information about handling events, see Consuming Events.

  Occurs whenever the is changed because of objects being added or removed.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean ``

  Use the method to determine whether the specified exists before trying to remove it from the collection. You can also use the method to determine whether a can be removed.

  Indicates whether the object specified by name exists in the collection.

  true if the collection contains the specified constraint; otherwise, false.

  The of the constraint. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Copies the collection objects to a one-dimensional instance starting at the specified index.

  The one-dimensional that is the destination of the values copied from the collection. The index of the array at which to start inserting.
- Method
  System.Int32 ``

  Use the method to return an index to be used with either the or method.

  Gets the index of the specified .

  The zero-based index of the if it is in the collection; otherwise, -1.

  The to search for. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 ``

  Use the method to return an index to be used with either the or method.

  Gets the index of the specified by name.

  The index of the if it is in the collection; otherwise, -1.

  The name of the . 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.Constraint `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.Constraint `` To be added. To be added. To be added. To be added.
- Property
  System.Collections.ArrayList To be added: an object of type 'Collections.ArrayList' To be added

  Gets the list of objects that the collection contains.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Raises the event.

  A expression. 1.0.5000.0
- Method
  System.Void ``

  Before using the Remove method, you can use the method to determine whether the collection contains the target , and the method to determine whether a can be removed.

  The event occurs if the constraint is successfully removed.

  Removes the specified from the collection.

  The to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Before using the Remove method, you can use the method to determine whether the collection contains the target , and the method to determine whether a can be removed.

  The event occurs if the constraint is successfully removed.

  Removes the object specified by name from the collection.

  The name of the to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method returns the index of a specific .

  Before using the RemoveAt method, you can use the method to determine whether the collection contains the target , and the method to determine whether a can be removed.

  The event occurs if the constraint is successfully removed.

  Removes the object at the specified index from the collection.

  The index of the to remove. 1.0.5000.0 2.0.0.0